#! /bin/bash

for file in *.mp4; 
do 
mkdir "${file%.*}"
ffmpeg -y -i "$file" -c:v libx264 -b:v 5200k -g 60 -pass 1 -f mp4 /dev/null && \
ffmpeg -i "$file" -c:v libx264 -b:v 4500k -g 60 -pass 2 "${file%.*}/${file%.*}_1080p".mp4
ffmpeg -i "$file" -s 1280x720 -c:v libx264 -b:v 3000k -g 60 -pass 2 "${file%.*}/${file%.*}_720p".mp4
ffmpeg -i "$file" -s 640x360 -c:v libx264 -b:v 1400k -g 60 -pass 2 "${file%.*}/${file%.*}_360p".mp4
ffmpeg -i "$file" -vn -c:a aac -b:a 128k -ac 2 -r 48k -pass 2 "${file%.*}/${file%.*}_audio".mp4 
mp4fragment "${file%.*}/${file%.*}_1080p".mp4 "${file%.*}/${file%.*}_1080p_frag".mp4
mp4fragment "${file%.*}/${file%.*}_720p".mp4 "${file%.*}/${file%.*}_720p_frag".mp4
mp4fragment "${file%.*}/${file%.*}_360p".mp4 "${file%.*}/${file%.*}_360p_frag".mp4
mp4fragment "${file%.*}/${file%.*}_audio".mp4 "${file%.*}/${file%.*}_audio_frag".mp4
mp4-dash --hls --output-dir="${file%.*}/${file%.*}_output" --use-segment-list  "${file%.*}/${file%.*}_720p_frag".mp4 "${file%.*}/${file%.*}_360p_frag".mp4 "${file%.*}/${file%.*}_1080p_frag".mp4 "${file%.*}/${file%.*}_audio_frag".mp4
mv "$file" "${file%.*}"
done
